ncbi-entrez-direct (19.2.20230331+dfsg-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 10:42:03 +0530

ncbi-entrez-direct (19.2.20230331+dfsg-3) unstable; urgency=medium

  * .gitignore: Drop "saved" again, slightly belatedly.
  * debian/control: Explicitly build-depend on golang-golang-x-net-dev.
    AFAICT, it had been coming in as an indirect dependency of
    golang-github-gin-gonic-gin-dev, most immediately via
    golang-golang-x-crypto-dev, which recently dropped its dependency to
    break a cycle.  (Closes: #1054198.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 18 Oct 2023 21:34:22 -0400

ncbi-entrez-direct (19.2.20230331+dfsg-2) unstable; urgency=medium

  * debian/rules: Formally build cmd/*.go as main/*.go, adjusting DH_GOPKG
    accordingly.  This approach both avoids an FTBFS with Go 1.21 (under
    which cmd tries to pick up e.g. cmd/compile) and facilitates bypassing
    upstream's cmd/go.{mod,sum} without moving them aside.  (In
    retrospect, Built-Using was already missing third-party packages.)
  * Reupload to unstable.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 16 Sep 2023 22:36:01 -0400

ncbi-entrez-direct (19.2.20230331+dfsg-1) experimental; urgency=medium

  * New upstream point release, still to experimental.
  * debian/man/xtract.1: Update for new release.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 31 Mar 2023 17:53:02 -0400

ncbi-entrez-direct (19.2.20230330+dfsg-1) experimental; urgency=medium

  * New upstream incremental release; initially uploading to experimental
    to be extra sure the changes are all safe.
  * debian/control: Belatedly suggest unzip.
  * debian/examples: List new scripts blst2gm and gm2ranges here, at least
    for now.
  * debian/man/{archive-pubmed,download-ncbi-data}.1: Update for new release.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 30 Mar 2023 23:26:38 -0400

ncbi-entrez-direct (19.0.20230216+dfsg-2) unstable; urgency=medium

  * Upload to unstable.  (Don't read too much into the version number
    difference -- upstream has a low threshold for bumping the second
    component, and has been keeping it to a single digit.  Also, many of
    the code changes are refactoring and similar formalities, and as
    previously noted this is a specialized leaf package.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 01 Mar 2023 18:11:52 -0500

ncbi-entrez-direct (19.0.20230216+dfsg-1) experimental; urgency=medium

  * New upstream release; uploading to experimental, at least for now.
  * debian/control: Add B-Ds on golang-github-gin-gonic-gin-dev and
    golang-github-klauspost-pgzip-dev.
  * debian/{efetch,einfo}: Recognize new common flags -verbose and -tranquil.
  * debian/install: Install new nhance.sh helper to /usr/lib/n-e-d.
  * debian/man/{archive-pubmed,combine-uid-lists,csv2xml,download-ncbi-data,
    download-pubmed,download-sequence,efilter,esearch,fetch-pubmed,
    index-pubmed,nquire,phrase-search,pm-collect,pm-prepare,pm-stash,rchive,
    ref2pmid,transmute,xtract}.1: Update for new release.
  * debian/man/{asn2ref,cit2pmid,edict,scn2xml}.1: Document new commands.
  * debian/man/{pm-index,pm-invert,pm-merge,pm-promote,pm-stash}.1: Retire.
  * debian/rules:
    - Account for use of github.com/gin-gonic/gin and its dependency tree
      and of github.com/klauspost/pgzip and its dependency
      github.com/klauspost/compress.
    - Install new as-is scripts archive-pmc, asn2ref, cit2pmid, download-pmc,
      fetch-pmc, and scn2xml.
    - Install new binary edict, unwrapped.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 26 Feb 2023 16:55:42 -0500

ncbi-entrez-direct (16.6.20220228+dfsg-2) unstable; urgency=medium

  * debian/tests/control: Depend on libxml-simple-perl for the private
    script behind transmute -x2j.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 14 Feb 2023 07:47:26 -0500

ncbi-entrez-direct (16.6.20220228+dfsg-1) unstable; urgency=medium

  * New(er) upstream release.  (Still carefully catching up, but this is
    at least a specialized leaf package.)
  * debian/.gitignore: Additionally ignore edirect.py (a transient
    non-executable copy) and ncbi-entrez-direct.*.debhelper.
  * debian/README.Debian (new): Document asn2xml's status.
  * debian/control:
    - Downgrade or remove Perl-related dependencies.  With the old EUtils
      wrappers fully gone, only two specialized scripts still use Perl at
      all, and neither uses libwww-perl.
    - To accommodate dh_python3, add build dependencies on both dh-python
      and python3, and recommend ${python3:Depends} rather than merely
      suggesting python.  (Recommends is overkill, but the weakest
      dh_python3 accepts.)
    - Standards-Version: 4.6.2 (already compliant).
    - Drop golang-any constraint, satisfied even in oldstable.
    - Clean up whitespace (a hard tab slipped in at one point).
  * debian/{efetch,einfo}:
    - Resync %ncbi_supported; in particular, belatedly add explicit
      -ext(ernal) and efetch's -plus, -reverse, and -minus aliases (all
      undocumented).
    - Recognize new common -immediate and -express flags.
  * debian/examples:
    - Reflect upstream retirement of nearly everything (leaving only
      test-pubmed-index).  To be fair, 14.6.20210224+dfsg-2 had relegated
      many files to examples in anticipation of their retirement.
    - Add idx-*.
  * debian/install:
    - Install transmute's asn2xml convenience wrapper to
      /usr/lib/ncbi-entrez-direct/bin.  Installing it to /usr/bin would
      conflict with ncbi-tools-bin without special tricks like an
      efetch/einfo-style wrapper, which would be overkill here; those
      names were primary entry points all along, whereas this wrapper is
      merely shorthand without even any internal use.
    - Install help files to /usr/lib/ncbi-entrez-direct/help.
  * debian/man/*.1: Various belated corrections and formal cleanups.
    In particular, fix typos in nquire.1 and xtract.1 and note that
    pm-index takes a second mandatory argument these days.
  * debian/man/{align-columns,gbf2xml,transmute}.1: Split up.
    align-columns and gbf2xml remain wrappers for transmute, but some
    additional *2xml wrappers will be joining them, and the result would
    otherwise be unwieldy.
  * debian/man/{blst2tkns,combine-uid-lists,csv2xml,custom-index,
    difference-uid-lists,disambiguate-nucleotides,download-ncbi-software,
    ds2pme,filter-columns,find-in-gene,fuse-ranges,fuse-segments,gbf2ref,
    hgvs2spdi,json2xml,pma2pme,print-columns,ref2pmid,snp2hgvs,snp2tbl,
    sort-table,spdi2tbl,split-at-introns,tbl2prod,tbl2xml,uniq-table,
    xml2fsa}.1: Document new commands, with csv2xml.1 now covering
    all *2xml wrappers and gbf2ref.
  * debian/man/{archive-pubmed,download-ncbi-data,download-pubmed,
    download-sequence,efetch,efilter,einfo,elink,epost,esample,esearch,
    exclude-uid-lists,fetch-pubmed,filter-stop-words,gene2range,index-extras,
    index-pubmed,intersect-uid-lists,nquire,phrase-search,pm-index,pm-stash,
    rchive,reorder-columns,run-ncbi-converter,sort-table,stream-pubmed,
    transmute,word-at-a-time,xml2tbl,xtract}.1: Update for new release.
  * debian/man/{eaddress,eblast,ecitmatch,econtact,edirect,edirutil,enotify,
    entrez-phrase-search,eproxy,espell,ftp-cp,ftp-ls,protein-neighbors}.1:
    Retire.
  * debian/ncbi-entrez-direct.pyinstall (new): List debian/edirect.py.
  * debian/rules:
    - Reflect upstream retirement of eaddress, eblast, ecitmatch, econtact,
      edirect, edirutil, enotify, entrez-phrase-search, eproxy, espell,
      ftp-cp, ftp-ls, and protein-neighbors.
    - Reflect new Go layout -- application code now in cmd/, library code
      split from common.go to eutils/*.go.
    - Belatedly ensure bin/ exists in the bin/%.sh pattern rule, which has
      become the first to need it with the retirement of STD_WRAPPERS.
    - Install new as-is scripts blst2tkns, combine-uid-lists, csv2xml,
      custom-index, difference-uid-lists, disambiguate-nucleotides,
      download-ncbi-software, ds2pme, filter-columns, find-in-gene,
      fuse-ranges, fuse-segments, gbf2ref, gene2range, hgvs2spdi, json2xml,
      pma2pme, print-columns, ref2pmid, snp2hgvs, snp2tbl, sort-table,
      spdi2tbl, split-at-intron, tbl2prod, tbl2xml, uniq-table, and xml2fsa.
    - Have esummary run efetch.ncbi directly so the wrapper can't
      interfere with its dedicated -help output.
    - Fold BASH_SCRIPTS into AS_IS_SCRIPTS.  (It was already down to
      index-extras, which now explicitly specifies #!/bin/bash.  In
      retrospect, it should have also included download-ncbi-data, but
      that's good now too.)
    - Account for direct use of github.com/rainycape/unidecode (no more
      need to pass it off as github.com/fiam/gounidecode/unidecode).
    - Account for split out of help texts for ecommon scripts, nquire, and
      remaining Go binaries.  In particular, factor out and generalize the
      logic to tweak scripts, extend it to nquire, and treat compiled
      binaries uniformly.
    - Additionally enable the python3 build system.
    - Transiently supply a non-executable(!) copy of edirect.py in debian/.
    - Remove trailing whitespace.
    - Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 13 Feb 2023 22:34:31 -0500

ncbi-entrez-direct (14.6.20210224+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Revert "Pass right location of gopsutil/mem"
    + gopsutil reverted their import-path change

 -- Nilesh Patra <nilesh@debian.org>  Fri, 24 Jun 2022 21:11:32 +0530

ncbi-entrez-direct (14.6.20210224+dfsg-6) unstable; urgency=medium

  * Team upload.
  * d/rules: Pass right location of gopsutil/mem (Closes: #1013608)
    + gopsutil had been upgraded to new major upstream release
      with changed location, updated accordingly

 -- Nilesh Patra <nilesh@debian.org>  Fri, 24 Jun 2022 20:39:41 +0530

ncbi-entrez-direct (14.6.20210224+dfsg-5) unstable; urgency=high

  * debian/rules:
    - Force traditional GOPATH mode (GO111MODULE=off) to avoid needing to
      produce proper offline go.mod and go.sum files, which turned out not
      to be nearly as straightforward as I'd hoped.  It's not clear how
      much longer this option will be available, but it works in 1.16 and
      from what I gather even 1.17 after all.  (Closes: #995349.)
    - Substitute .../klauspost/cpuid/v2 for .../klauspost/cpuid as needed.
    - Set CGO_{C,CPP,CXX,F,LD}FLAGS from (hardened) dpkg-supplied flags.
      (See #951262.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 03 Oct 2021 20:28:46 -0400

ncbi-entrez-direct (14.6.20210224+dfsg-4) unstable; urgency=medium

  * debian/{efetch,einfo}: Refresh %ncbi_supported, taking care to include
    undocumented options.  (In particular, ncbi-blast+'s
    get_species_taxids uses efetch's undocumented -docsum shorthand.)
    (Closes: #990741.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 08 Jul 2021 17:36:20 -0400

ncbi-entrez-direct (14.6.20210224+dfsg-3) unstable; urgency=medium

  * debian/man/eblast.1: Extend deprecation notice to eblast.
  * debian/man/protein-neighbors.1: Note that eblast is now deprecated too.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 13 Mar 2021 22:24:07 -0500

ncbi-entrez-direct (14.6.20210224+dfsg-2) unstable; urgency=medium

  * debian/{examples,install,rules}: Relegate obsolescent short-lived
    specialized content to examples: bt-*, fetch-extras, index-themes, and
    xplore.  All came along after buster (which had 10.9.20190219+ds-1)
    and will be absent from future upstream releases, so there's no sense
    in having them appear in /usr/bin in bullseye only to disappear fully
    in the next stable Debian release.
  * debian/man: Drop corresponding man pages and references thereto.
  * debian/man/{eaddress,ecitmatch,econtact,edirect,edirutil,enotify,
    entrez-phrase-search,eproxy,espell,ftp-cp,ftp-ls,protein-neighbors}.1:
    Mark as deprecated (somewhat speculatively in the case of edirect),
    with suggestions for alternatives in most cases.  All of these
    commands have been around for a while, so they can remain in /usr/bin
    for bullseye.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 07 Mar 2021 16:26:20 -0500

ncbi-entrez-direct (14.6.20210224+dfsg-1) unstable; urgency=medium

  * New upstream point release.
  * debian/man/esample.1: Update for new release.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 24 Feb 2021 21:14:35 -0500

ncbi-entrez-direct (14.6.20210209+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/{transmute,xtract}.1: Update for new release.
  * debian/man/xtract.1: Tune hyphenation under -insd.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 12 Feb 2021 12:31:49 -0500

ncbi-entrez-direct (14.6.20210203+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Drop alternative build-dependency on unavailable golang-1.10-go --
    even stable has golang-go 1.11, which I've confirmed to work here.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 06 Feb 2021 22:52:01 -0500

ncbi-entrez-direct (14.6.20210203+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/{edirect,efetch,efilter,esample,nquire,transmute,xtract}.1:
    Update for new release.
  * debian/man/transmute.1:
    - Fully document new (as of 14.0.20201111[+dfsg]) -format suboptions
      -xml, -doctype, -comment, and -cdata, half of which turn out to take
      arguments.
    - Reformat mode descriptions more compactly.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 06 Feb 2021 22:06:37 -0500

ncbi-entrez-direct (14.0.20201111+dfsg-1) unstable; urgency=medium

  * New upstream release.  (Not the latest, but enough of a milestone
    to merit an individual upload anyway.)
  * debian/NEWS (new): Document switch to new e* and nquire
    implementations by default and reimplementation of transmute.
  * debian/control:
    - Add curl | wget to Depends now that nquire defaults to using the
      shell (vs. Perl) implementation; leave Perl dependencies alone for
      the sake of other major scripts, and curl as a specific suggestion
      for the sake of download-ncbi-data and index-extras.
    - Suggest libxml2-utils and python3 for specific transmute modes.
  * debian/man/{efetch,efilter,einfo,elink,epost,esearch,gbf2xml,nquire,
    transmute,xtract}.1: Update for new release.
  * debian/man/nquire.1: Belatedly correct paste-o in description of shell
    implementation (which does not in fact use itself!).
  * debian/man/xtract.1: Belatedly retire two old flags from OPTIONS
    in addition to SYNOPSIS.
  * debian/rules: Reflect transmute-related changes -- it's gone from a
    trivial wrapper around the legacy edirect Perl script to a combination
    of a Go executable factored out of xtract, a non-trivial shell wrapper
    that handles several cases outside Go, and an xml2json Perl script
    cribbed from edirect.
    - Install that xml2json under /usr/lib -- it's formally an
      implementation detail of transmute -x2j, and would otherwise
      conflict with libxml-compile-perl.
    - Tweak the transmute wrapper to run python3 rather than versionless
      python for json.tool.
    - Retain the new portion of upstream's xtract wrapper that delegates
      factored-out functionality to transmute.
    - To facilitate some of those changes, add a PKG_BIN_DIR macro.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 24 Jan 2021 17:14:03 -0500

ncbi-entrez-direct (14.0.20201030+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/efetch.1: Update for new release.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 01 Nov 2020 21:24:40 -0500

ncbi-entrez-direct (14.0.20201015+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/xtract.1: Update for new release.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 19 Oct 2020 21:37:21 -0400

ncbi-entrez-direct (14.0.20201009+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Add myself (at NCBI) as an upstream author.
    - Also exclude CA.pm and cacert.pm.
  * debian/efetch:
    - Belatedly resync %ncbi_supported with current usage
      (missed -style, -revcomp, -chr_stop, -raw, and -json).
    - Additionally recognize -input and -forward, as supported by the new
      shell implementation.
  * debian/{efetch,einfo}: Substitute e*.ncbi for edirect -*, now that the
    NCBI implementations won't necessarily boil down to edirect one-liners.
  * debian/install: Install ecommon.sh to /usr/lib/ncbi-entrez-direct.
  * debian/man/{bt-link,bt-srch,download-ncbi-data,edirect,efetch,efilter,
    einfo,elink,epost,esample,esearch,j2x,nquire,t2x,transmute,xplore,
    xtract}.1: Update for new release.
  * debian/man/{download-ncbi-data,esample}.1: Correct old typos
    (transposed letters, unescaped hyphen, missing parentheses).
  * debian/man/{einfo,efetch}.ncbi.1: Add alias pages for completeness.
  * debian/man/enquire.1: Retire per full incorporation of enquire into
    nquire, albeit on an experimental basis.
  * debian/man/{g2x,j2x,t2x}.1: Retire.
  * debian/man/skip-if-file-exists.1: Document new command.
  * debian/rules:
    - Belatedly install phrase-search (as is).
    - Account for new internal ecommon.sh sourceable; transformation of
      efetch, efilter, einfo, elink, epost, esearch, and esummary to
      ecommon.sh-based scripts (that still wrap Perl edirect by default,
      though); full incorporation of enquire (curl-/wget-based) as an
      experimental alternate mode for nquire (previously a pure edirect
      wrapper); retirement of dedicated g2x, j2x, and t2x binaries and of
      unbuilt s2p.go; and new as-is script skip-if-file-exists.
    - For efetch and einfo, install the upstream scripts with .ncbi
      extensions, since they won't necessarily reduce to edirect
      one-liners.
  * debian/tests/run-unit-test:
    - Correct gbf2xml invocation.  (It ignores any arguments and reads
      from standard input.)
    - Drop j2x test; renumber following tests accordingly.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 12 Oct 2020 15:14:47 -0400

ncbi-entrez-direct (13.7.20200713+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/{accn-at-a-time,g2x}.1: Document new commands.
  * debian/man/{gbf2xml,word-at-a-time,xtract}.1: Update for new release.
  * debian/rules:
    - Account for new as-is script accn-at-a-time, new Go executable g2x, and
      gbf2xml's switch from a Perl script to an as-is script (wrapping xtract).
    - Belatedly arrange to tweak enquire, whose --ca* options won't do here.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 14 Jul 2020 22:17:15 -0400

ncbi-entrez-direct (13.7.20200615+dfsg-2) unstable; urgency=medium

  * debian/rules: Install ftp-cp, ftp-ls, nquire, and transmute as simple
    wrappers for edirect (with no .pl suffix) now that they're no longer
    independent Perl scripts (as of 12.3.20191024[+ds]), fixing a
    regression caught by autopkgtest.
  * debian/tests/run-unit-test: Correct invocation of filter-stop-words
    (which ignores its arguments and reads from standard input).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 28 Jun 2020 21:11:51 -0400

ncbi-entrez-direct (13.7.20200615+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/{bt-link,bt-srch,download-ncbi-data,edirect,fetch-extras,
    index-extras,index-pubmed,j2x,nquire,phrase-search,rchive,t2x,xplore,
    xtract}.1: Update for new release.
  * debian/man/{enquire,index-themes,theme-aliases}.1: Document new commands.
  * debian/man/nquire.1: Belatedly note FTP support in NAME and DESCRIPTION;
    correct formatting of SEE ALSO header; formally adjust SEE ALSO order
    (accidentally not quite sorted).
  * debian/rules: Account for new as-is script enquire, bash script
    index-themes, and sourceable theme-aliases.
  * debhelper-compat 13 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 28 Jun 2020 17:28:59 -0400

ncbi-entrez-direct (13.1.20200102+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * .gitignore: Ignore new "saved" directory.
  * debian/control: Suggest curl (for index-extras).
  * debian/copyright: Add *.pdf (sourceless) to Files-Excluded.
  * debian/examples: Remove Scripps BioThings support, now considered official
    enough (mentioned in README, albeit as experimental).
  * debian/install: Install bt-*.txt and hlp-*.txt (bt-context.txt and
    hlp-xtract.txt at present) to a new /usr/lib/ncbi-entrez-direct directory.
  * debian/man/{archive-pubmed,download-ncbi-data,edirect,efetch,elink,esample,
    esearch,ftp-cp,fetch-pubmed,ftp-ls,index-pubmed,j2x,join-into-groups-of,
    nquire,phrase-search,rchive,sort-uniq-count,transmute,xtract}.1: Update for
    new release.
  * debian/man/{bt-link,bt-load,bt-save,bt-srch,expand-current,fetch-extras,
    t2x,xplore}.1: Document new commands.
  * debian/man/efetch.1: Correct old paste-o in -chr_stop's description.
  * debian/man/fetch-pubmed.1: Belatedly wordsmith description of -path.
  * debian/man/index-extras.1: Rename from index-bioc.1 and update.
  * debian/man/nquire.1: Belatedly drop accidental self-referential SEE ALSO.
  * debian/man/xtract.1: Explicitly mark suboptions as such; belatedly resync
    -indices' description.
  * debian/rules:
    - Account for new as-is scripts expand-current and fetch-extras; for newly
      official Scripps BioThings scripts bt-link, bt-load, bt-save, bt-srch,
      and xplore (some of which need tweaking to look for bt-context.txt in the
      right place); for new Go executable t2x; and for rename of as-is script
      index-bioc to index-extras (which moreover needs its interpreter
      specification corrected to #!/bin/bash via a new generic mechanism).
    - Move the xtract binary from /usr/bin to /usr/lib/ncbi-entrez-direct (so
      it can find hlp-xtract.txt) and substitute a wrapper script.
    - Broaden .../x/sys/unix to .../x/sys in GOLIBSRC(_).  (Closes: #963439.)
    - Temporarily move new go.mod, go.sum, and s2p.go files to a "saved"
      directory to keep them from interfering with the build process.  (They
      don't necessarily deserve outright exclusion, even with repacking
      already in use.)
  * debian/watch: Change repack suffix to +dfsg due to the additional need
    to exclude sourceless PDF documents.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 21 Jun 2020 22:32:39 -0400

ncbi-entrez-direct (12.0.20190816+ds-2) unstable; urgency=medium

  * Team upload
  * Add autopkgtests

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Wed, 06 May 2020 19:11:16 +0530

ncbi-entrez-direct (12.0.20190816+ds-1) unstable; urgency=medium

  [ Aaron M. Ucko ]
  * New upstream release.  (Not fully caught up, but uploading anyway to
    address an FTBFS bug that turned up.)
  * debian/control:
    - Build-depend on github-gedex-inflector-dev.
    - Declare a nominal XS-Go-Import-Path to placate dh-golang.
  * debian/examples: Install BioThings support as examples for now: bt-*
    (including one data file currently expected to live alongside scripts)
    and xplore.
  * debian/man/{download-ncbi-data,esample,exclude-uid-lists,index-bioc,j2x,
    pm-collect,xml2tbl}.1: Document new commands.
  * debian/man/{download-{pubmed,sequence},efetch,efilter,esearch,fetch-pubmed,
    ftp-{cp,ls},index-pubmed,intersect-uid-lists,nquire,pm-index,rchive,
    transmute,xtract}.1: Update for new release.
  * debian/man/download-sequence.1: Fix copy-and-paste error (wrong name
    left in DESCRIPTION).
  * debian/rules:
    - Belatedly use FIX_PERL_SHEBANG for bin/edirect.
    - Factor out GH and GL macros for github.com and golang.org respectively.
    - Factor out a pattern rule for building Go executables (and a
      supporting rule for the gounidecode compatibility symlink).
    - Add $(GH)/gedex/inflector to GOLIBSRC_ (for xtract).
    - Account for new download script download-ncbi-data; as-is scripts
      esample, exclude-uid-lists, index-bioc, pm-collect, and xml2tbl; and Go
      executable j2x (which does not use common.go).
    - Set GOCACHE to avoid needing a writable (or simply existent!) HOME;
      wipe the cache in override_dh_auto_clean.  (Closes: 947995.)
  * .gitignore: Ignore the new go-cache tree.

  [ Andreas Tille ]
  * d/watch: simplify + version=4
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 02 Feb 2020 22:02:43 -0500

ncbi-entrez-direct (10.9.20190219+ds-1) unstable; urgency=medium

  * New upstream point release.
  * debian/man/xtract.1: Update accordingly (adding -is-within).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 26 Feb 2019 21:28:41 -0500

ncbi-entrez-direct (10.9.20190205+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/{archive-pubmed,download-pubmed,edirect,efilter,
    entrez-phrase-search,esearch,espell,fetch-pubmed,index-pubmed,
    phrase-search,rchive,stream-pubmed,transmute,xtract}.1: Update
    accordingly.
  * debian/man/{local-phrase-search,pm-{clean,current,erase,log,repack,uids,
    verify}}.1: Retire per the corresponding scripts.
  * debian/rules: Stop installing retired scripts local-phrase-search and
    (implicitly) pm-{clean,current,erase,log,repack,uids,verify}.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 06 Feb 2019 22:51:27 -0500

ncbi-entrez-direct (10.5.20181204+ds-2) unstable; urgency=medium

  * debian/control: Actually build-depend on dh-golang.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 05 Dec 2018 22:05:20 -0500

ncbi-entrez-direct (10.5.20181204+ds-1) unstable; urgency=medium

  * New upstream release.
  * (debian/).gitignore: Update per GOPATH change.
  * debian/control:
    - Build-depend on dh-golang, golang-github-dataence-porter2-dev,
      golang-github-fatih-color-dev, golang-github-klauspost-cpuid-dev,
      golang-github-rainycape-unidecode-dev, and
      golang-github-shirou-gopsutil-dev.
    - Set Built-Using (with the help of dh-golang).
    - Bump minimum Go version to 1.10 for strings.Builder.
    - Depend on libxml-simple-perl.
    - Repoint Vcs-{Browser,Git} at salsa.debian.org.
    - Rules-Requires-Root: no (confirmed safe).
    - Standards-Version: 4.2.1 (compliant at this point).
  * debian/examples: Remove local storage/indexing scripts (considered
    official enough for /usr/bin at this point), leaving only asp-* and
    has-asp, which promote non-free software; add test-pubmed-index.
  * debian/man/{archive-pubmed,download-pubmed,download-sequence,eblast,
    fetch-pubmed,index-pubmed,intersect-uid-lists,(local-)phrase-search,
    pm-clean,pm-erase,pm-invert,pm-log,pm-merge,pm-prepare,pm-promote,
    pm-refresh,pm-repack,pm-stash,pm-uids,pm-verify,protein-neighbors,rchive,
    stream-pubmed,transmute}.1: Document newly added tools.
  * debian/man/{edirect,nquire,xtract}.1: Fix old documentation bugs.
  * debian/man/{efetch,efilter,elink,entrez-phrase-search,ftp-cp,ftp-ls,
    nquire,xtract}.1: Update for new release.
  * debian/rules:
    - Change (autopopulated) GOPATH to meet dh-golang's expectations.
    - Belatedly run dh --with=golang to populate (misc:)Built-Using.
    - Clean up remaining cruft from when Go support was optional.
    - Pull github.com/surgebase/porter2 (aka gh.c/dataence/porter2),
      github.com/fatih/color (along with its dependencies
      github.com/mattn/go-{colorable,isatty}), github.com/klauspost/cpuid,
      github.com/rainycape/unidecode (aliased, per rchive.go's expectations,
      to github.com/fiam/gounidecode/unidecode), github.com/shirou/gopsutil
      (along with its dependency golang.org/x/sys/unix), and our ersatz
      github.com/pbnjay/memory into the path.  (The rainycape version of
      unidecode has the key advantages of being fresher and already packaged
      for Debian.)
    - Build rchive.go in addition to xtract.go; build both against a
      common.go factored out of xtract.go.
    - Install run-ncbi-converter (accidentally left off earlier).
    - Flip Perl scripts back to running via /usr/bin/perl (from
      /usr/bin/env perl).
    - Enforce use of Go version 1.10 or newer, even if the default is older.
    - Install local storage/indexing scripts to /usr/bin.  (Closes: #901028.)
    - Install new eblast wrapper (corresponding to new -blast mode) and
      protein-neighbors script.
  * debian/vendor/github.com/pbnjay/memory/memory.go: New wrapper around
    github.com/shirou/gopsutil/mem, filling in for a different third-party
    library that lacks a declared license.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 05 Dec 2018 21:19:35 -0500

ncbi-entrez-direct (7.40.20170928+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Unconditionalize Go build dependencies.
  * debian/examples: Add several new scripts for experimental local record
    storage, which may migrate to /usr/bin when they're more mature.
  * debian/man/{efilter,esearch,xtract}.1: Update for new release.
  * debian/rules: Remove fallback logic to install the old Perl
    implementation of xtract, now retired upstream.
  * Standards-Version: 4.1.1 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 06 Oct 2017 17:52:27 -0400

ncbi-entrez-direct (6.90.20170705+ds-2) unstable; urgency=medium

  * debian/rules: Rework Go-related logic to accommodate builds on
    (non-release) architectures on which I've had to conditionalize out
    the relevant build dependencies.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 06 Jul 2017 22:25:05 -0400

ncbi-entrez-direct (6.90.20170705+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Advance to debhelper 10.
  * debian/control:
    - Advance debhelper build dependency accordingly.
    - Reinstate architecture qualifiers for Go build dependencies on the
      basis of experimental build logs.
    - Standards-Version: 4.0.0 (already compliant).
  * debian/man/{ftp-cp,gbf2xml}.1: Correct syntax for optional filenames.
  * debian/man/xtract.1: Update for new release.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 05 Jul 2017 22:12:35 -0400

ncbi-entrez-direct (6.80.20170608+ds-1) experimental; urgency=medium

  * New upstream release.
  * debian/man/ftp-cp.1: Update accordingly.
  * Install the new asp-ls script as an example (alongside asp-cp) and
    the new gbf2xml script as an executable; give gbf2xml a man page.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 09 Jun 2017 18:01:55 -0400

ncbi-entrez-direct (6.70.20170508+ds-1) experimental; urgency=medium

  * New upstream release.
  * debian/man/xtract.1: Update accordingly.
  * debian/control:
    - Tighten Go dependencies to require Go 1.8 for sort.Slice.
    - Add a dependency on golang-golang-x-text-dev, also newly necessary.
    - Remove architecture qualifiers for now.  (This *is* for experimental.)
  * debian/rules:
    - Build with /usr/lib/go-1.8/bin/go if necessary (notably, for backports).
    - Establish a local GOPATH with a symlink to .../golang.org/x/text.
    - Run go build -v now that there are third-party libraries to incorporate.
  * debian/.gitignore: Ignore debian/gopath.
  * debian/examples: Install the new asp-cp script as an example, since it
    requires non-free Aspera tools.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 29 May 2017 21:28:44 -0400

ncbi-entrez-direct (6.10.20170123+ds-2) UNRELEASED; urgency=medium

  * debian/e{fetch,info}: Correct help text to cite our man pages too.
    (They didn't yet exist when I originally wrote these wrappers.)
  * debian/man/xtract.1: Fix an old typo (esapes vs. escapes).

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 29 May 2017 15:41:49 -0400

ncbi-entrez-direct (6.10.20170123+ds-1) unstable; urgency=medium

  * New upstream release.
  * Resolve conflicts by diverting acedb-other's efetch and epub-utils'
    einfo to efetch.acedb and einfo.epub respectively (and likewise for
    their man pages) and deploying wrapper scripts that try to figure out
    which implementation the user intended to run.  (Proper usage differs
    radically, so ambiguity is unlikely to be an issue in practice.)
  * Add man pages for all commands.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 24 Jan 2017 21:56:00 -0500

ncbi-entrez-direct (6.00.20170105+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Canonicalize per cme.
  * debian/copyright: Likewise; also, correct placement of Files-Excluded.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 05 Jan 2017 22:27:51 -0500

ncbi-entrez-direct (5.90.20161221+ds-4) unstable; urgency=medium

  * debian/control: Remove annotations from conflicts here.  (Oops.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 24 Dec 2016 23:48:49 -0500

ncbi-entrez-direct (5.90.20161221+ds-3) unstable; urgency=medium

  * debian/control:
    - Build-Depends: Correct syntax for multiple exclusions.
    - Conflicts: acedb-other (over efetch), epub-utils (over einfo).

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 24 Dec 2016 23:25:29 -0500

ncbi-entrez-direct (5.90.20161221+ds-2) unstable; urgency=medium

  * .gitignore: Account for files created outside debian/ at build time.
  * debian/control:
    - Set debian-med as maintainer, and myself as uploader.
    - Don't build depend on golang-any on architectures on
      which it's currently uninstallable.
  * debian/rules: If building xtract.go fails for any reason, fall back on
    installing the original Perl implementation.
  * debian/source/options: single-debian-patch.
  * xtract.pl: Don't insist on -fallback.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 24 Dec 2016 22:43:40 -0500

ncbi-entrez-direct (5.90.20161221+ds-1) unstable; urgency=low

  * Initial release.  (Closes: #810949.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 23 Dec 2016 16:35:19 -0500
